﻿using System;
using System.Windows.Media;

namespace Simple_Music_Player
{
    public class SimpleMediaPlayer
    {
        private bool playing; //needed because we have only one button which does both play or pause.
        private MediaPlayer mediaPlayer;
        public SimpleMediaPlayer()
        {
            playing = false;
            mediaPlayer = new MediaPlayer();
        }

        public void Open(Uri filePath)
        {
            mediaPlayer.Open(filePath);
            if (playing)
            {
                mediaPlayer.Play();
            }
        }

        public void PlayOrPause()
        {
            if (!playing) //needed because we have only one button which does both play or pause.
            {
                mediaPlayer.Play();
                playing = true;
            }
            else
            {
                mediaPlayer.Pause();
                playing = false;
            }
        }
    }
}
